$title  tfrplot.gms: examples for plotting routines via MATLAB

set t /1990*2030/, j /a,b,c,d/;

set tl(t) /1990 michael,2000,2010,2020,2030/;

$setglobal gp_xl tl

parameter a(t,j)  This is parameter a plotted;
a("1990",j) = 1;
loop(t,  a(t+1,j) = a(t,j) * (1 + 0.04 * uniform(0.2,1.8)); );

parameter year(*); year(t) = 1989 + ord(t);

* Omit some data in the middle of the graph:

a(t,j)$((year(t) gt 1995) and (year(t) le 2002)) = NA;

$setglobal matplot_1 title('Example with Missing Data');
$setglobal matplot_2 xlabel('Year -- time step annual');
$setglobal matplot_3 ylabel('Value');
$setglobal matplot_4 axis tight
$setglobal matplot_5 grid

$batinclude matplot a t j
